import type { Logger } from '../../../util/logger';
import { BusContext, BusMessage, BusSubscriber } from '../index';
export declare class TrackerBusSubscriber extends BusSubscriber {
    logger: Logger;
    constructor(logger: Logger);
    actionNames(): string[];
    protected reportAnalytics(context: BusContext, message: BusMessage): Promise<void>;
    onMessage(context: BusContext, message: BusMessage): void;
}
